# packet (normal hypersurface list)

## Name

packet (normal hypersurface list) — A normal hypersurface list packet

## Synopsis

Content Model

    packet ::= (params, hypersurface*,
                tag*, packet*)

Attributes
See the general `packet` element documentation.

## Description

A normal hypersurface list packet stores a list of normal hypersurfaces in a particular 4-manifold triangulation. This list will often contain the vertex hypersurfaces whose convex span is the set of all normal hypersurfaces in the triangulation that satisfy certain constraints, though other lists (such as fundamental hypersurfaces, or other customised lists) can be stored also.

The parent element of this normal hypersurface list must be the triangulation in which the normal hypersurfaces lie. The individual normal hypersurfaces in this list are contained in the child `hypersurface` elements.

The parameters of the normal hypersurface enumeration that created this list are stored in the child `params` element.

The roles played by the child `tag` and `packet` elements are described in the general `packet` element documentation.

### Parents

The following elements contain `packet` for a normal hypersurface list packet: `packet` (4-dimensional triangulation).

### Children

The following elements occur in `packet` for a normal hypersurface list packet: `packet`, `params`, `hypersurface`, `tag`.